Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.reflection
Class ReflectionContextState

    java.lang.Object
      com.opensymphony.xwork2.util.reflection.ReflectionContextState

    public class ReflectionContextState

extends Object

Manages variables in the reflection context and returns values to be used by the application.

Author:
  Gabe

Field Summary
`static String` | `CREATE_NULL_OBJECTS`
`static String` | `CURRENT_PROPERTY_PATH`
`static String` | `DENY_INDEXED_ACCESS_EXECUTION`
`static String` | `DENY_METHOD_EXECUTION`
`static String` | `FULL_PROPERTY_PATH`

Constructor Summary
`ReflectionContextState()`

Method Summary
`static void` | `clear(Map<String,Object> context)`
`static void` | `clearCurrentPropertyPath(Map<String,Object> context)`
`static String` | `getCurrentPropertyPath(Map<String,Object> context)` Gets the current property path but not completely.
`static String` | `getFullPropertyPath(Map<String,Object> context)`
`static Class` | `getLastBeanClassAccessed(Map<String,Object> context)`
`static String` | `getLastBeanPropertyAccessed(Map<String,Object> context)`
`static Map<Object,Object>` | `getSetMap(Map<String,Object> context, String path)`
`static boolean` | `isCreatingNullObjects(Map<String,Object> context)`
`static boolean` | `isDenyMethodExecution(Map<String,Object> context)`
`static boolean` | `isGettingByKeyProperty(Map<String,Object> context)`
`static boolean` | `isReportingConversionErrors(Map<String,Object> context)`
`static void` | `setCreatingNullObjects(Map<String,Object> context, boolean creatingNullObjects)`
`static void` | `setDenyMethodExecution(Map<String,Object> context, boolean denyMethodExecution)`
`static void` | `setFullPropertyPath(Map<String,Object> context, String path)`
`static void` | `setGettingByKeyProperty(Map<String,Object> context, boolean gettingByKeyProperty)`
`static void` | `setLastBeanClassAccessed(Map<String,Object> context, Class clazz)`
`static void` | `setLastBeanPropertyAccessed(Map<String,Object> context, String property)`
`static void` | `setReportingConversionErrors(Map<String,Object> context, boolean reportingErrors)`
`static void` | `setSetMap(Map<String,Object> context, Map<Object,Object> setMap, String path)`
`static void` | `updateCurrentPropertyPath(Map<String,Object> context, Object name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_PROPERTY_PATH

    public static final String CURRENT_PROPERTY_PATH

See Also:
  Constant Field Values

### FULL_PROPERTY_PATH

    public static final String FULL_PROPERTY_PATH

See Also:
  Constant Field Values

### CREATE_NULL_OBJECTS

    public static final String CREATE_NULL_OBJECTS

See Also:
  Constant Field Values

### DENY_METHOD_EXECUTION

    public static final String DENY_METHOD_EXECUTION

See Also:
  Constant Field Values

### DENY_INDEXED_ACCESS_EXECUTION

    public static final String DENY_INDEXED_ACCESS_EXECUTION

See Also:
  Constant Field Values

Constructor Detail

### ReflectionContextState

    public ReflectionContextState()

Method Detail

### isCreatingNullObjects

    public static boolean isCreatingNullObjects(Map<String,Object> context)

### setCreatingNullObjects

    public static void setCreatingNullObjects(Map<String,Object> context,
                                              boolean creatingNullObjects)

### isGettingByKeyProperty

    public static boolean isGettingByKeyProperty(Map<String,Object> context)

### setDenyMethodExecution

    public static void setDenyMethodExecution(Map<String,Object> context,
                                              boolean denyMethodExecution)

### isDenyMethodExecution

    public static boolean isDenyMethodExecution(Map<String,Object> context)

### setGettingByKeyProperty

    public static void setGettingByKeyProperty(Map<String,Object> context,
                                               boolean gettingByKeyProperty)

### isReportingConversionErrors

    public static boolean isReportingConversionErrors(Map<String,Object> context)

### setReportingConversionErrors

    public static void setReportingConversionErrors(Map<String,Object> context,
                                                    boolean reportingErrors)

### getLastBeanClassAccessed

    public static Class getLastBeanClassAccessed(Map<String,Object> context)

### setLastBeanPropertyAccessed

    public static void setLastBeanPropertyAccessed(Map<String,Object> context,
                                                   String property)

### getLastBeanPropertyAccessed

    public static String getLastBeanPropertyAccessed(Map<String,Object> context)

### setLastBeanClassAccessed

    public static void setLastBeanClassAccessed(Map<String,Object> context,
                                                Class clazz)

### getCurrentPropertyPath

    public static String getCurrentPropertyPath(Map<String,Object> context)

  Gets the current property path but not completely. It does not use the [ and ] used in some representations of Maps and Lists. The reason for this is that the current property path is only currently used for caching purposes so there is no real reason to have an exact replica.

  So if the real path is myProp.myMap['myKey'] this would return myProp.myMap.myKey.

  Parameters:
    `context` -

### getFullPropertyPath

    public static String getFullPropertyPath(Map<String,Object> context)

### setFullPropertyPath

    public static void setFullPropertyPath(Map<String,Object> context,
                                           String path)

### updateCurrentPropertyPath

    public static void updateCurrentPropertyPath(Map<String,Object> context,
                                                 Object name)

### setSetMap

    public static void setSetMap(Map<String,Object> context,
                                 Map<Object,Object> setMap,
                                 String path)

### getSetMap

    public static Map<Object,Object> getSetMap(Map<String,Object> context,
                                               String path)

### clearCurrentPropertyPath

    public static void clearCurrentPropertyPath(Map<String,Object> context)

### clear

    public static void clear(Map<String,Object> context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.